org.freedesktop.NetworkManager.Device.WiMax: NetworkManager Reference Manual

## org.freedesktop.NetworkManager.Device.WiMax org.freedesktop.NetworkManager.Device.WiMax — WiMax Device |

## Methods

    GetNspList (OUT ao nsps);

## Signals

    PropertiesChanged (a{sv} properties);
    NspAdded          (o     nsp);
    NspRemoved        (o     nsp);

## Properties

    Nsps             readable   ao
    HwAddress        readable   s
    CenterFrequency  readable   u
    Rssi             readable   i
    Cinr             readable   i
    TxPower          readable   i
    Bsid             readable   s
    ActiveNsp        readable   o

## Description

## Method Details

### The GetNspList() method

    GetNspList (OUT ao nsps);

Get the list of NSPs visible to this device.

`OUT ao `nsps``: | List of NSP object paths

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values.

### The "NspAdded" signal

    NspAdded (o nsp);

Emitted when a new NSP is found by the device.

`o `nsp``: | The object path of the newly found NSP.

### The "NspRemoved" signal

    NspRemoved (o nsp);

Emitted when an NSP disappears from view of the device.

`o `nsp``: | The object path of the NSP that has disappeared.

## Property Details

### The "Nsps" property

    Nsps  readable   ao

List of object paths of Network Service Providers (NSPs) visible to this WiMAX device.

### The "HwAddress" property

    HwAddress  readable   s

Hardware address of the device.

### The "CenterFrequency" property

    CenterFrequency  readable   u

Center frequency (in KHz) of the radio channel the device is using to communicate with the network when connected. Has no meaning when the device is not connected.

### The "Rssi" property

    Rssi  readable   i

RSSI of the current radio link in dBm. This value indicates how strong the raw received RF signal from the base station is, but does not indicate the overall quality of the radio link. Has no meaning when the device is not connected.

### The "Cinr" property

    Cinr  readable   i

CINR (Carrier to Interference + Noise Ratio) of the current radio link in dB. CINR is a more accurate measure of radio link quality. Has no meaning when the device is not connected.

### The "TxPower" property

    TxPower  readable   i

Average power of the last burst transmitted by the device, in units of 0.5 dBm. i.e. a TxPower of -11 represents an actual device TX power of -5.5 dBm. Has no meaning when the device is not connected.

### The "Bsid" property

    Bsid  readable   s

The ID of the serving base station as received from the network. Has no meaning when the device is not connected.

### The "ActiveNsp" property

    ActiveNsp  readable   o

Object path of the NSP currently used by the WiMax device.